package com.kafka.producer.demo.kafkaproducer.service;

import com.kafka.producer.demo.kafkaproducer.model.Employee;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Required;
import org.springframework.kafka.core.KafkaTemplate;
import org.springframework.stereotype.Service;

@Service
public class KafkaMessagePublisher {

    @Autowired
    private KafkaTemplate<String, String> kafkaTemplate;

    @Autowired
    @Qualifier("CustomKafkaTemplate")
    private KafkaTemplate<String, Employee> customKafkaTemplate;

    String kafkaTopic = "testTopic";

    public void sendMessage(String message) {
        kafkaTemplate.send(kafkaTopic, message);
    }

    public void sendEmployeeData(Employee emp) {
        customKafkaTemplate.send(kafkaTopic, emp);
    }

}
